Class | Bio::FlatFileIndex::Indexer::Parser::MaXMLSequenceParser
In: | lib/bio/io/flatfile/indexer.rb
Parent: | TemplateParser

### Methods

new

### Constants

NAMESTYLE | = | NameSpaces.new( NameSpace.new( 'id', Proc.new { |x| x.entry_id } ), NameSpace.new( 'altid', Proc.new { |x| x.id_strings } ), NameSpace.new( 'gene_ontology', Proc.new { |x| x.annotations.get_all_by_qualifier('gene_ontology').collect { |y| y.anntext
PRIMARY | = | 'id'
SECONDARY | = | [ 'altid', 'gene_ontology', 'datasrc' ]

### Public Class methods

new(pri_name = nil, sec_names = nil)

[Source]

         # File lib/bio/io/flatfile/indexer.rb, line 322
    322:           def initialize(pri_name = nil, sec_names = nil)
    323:             super()
    324:             self.format = 'raw'
    325:             self.dbclass = Bio::FANTOM::MaXML::Sequence
    326:             self.set_primary_namespace((pri_name or PRIMARY))
    327:             unless sec_names then
    328:               sec_names = self.class::SECONDARY
    329:             end
    330:             self.add_secondary_namespaces(*sec_names)
    331:           end

[Validate]